# -*- coding: utf-8 -*-
###########################################################################
# Eole NG - 2010
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr
###########################################################################
"""
Gestion des quotas disque des utilisateurs
"""
from pyeole.process import system_out, system_code

def get_quota(login):
    """
    renvoie le quota disque pour un utilisateur
    """
    cmd = ['/usr/bin/quota', '-w', login]
    res = system_out(cmd, container='fichier')[1].splitlines()
    if len(res) < 3:
        user_quota = 0
    else:
        nb_blocks = res[2].split()[2]
        # on retourne la limite en Mo
        user_quota = int(nb_blocks)/1024
    return user_quota

def set_quota(login, quota=0):
    """
    applique un nouveau quota disque
    pour un utilisateur
        @quota: int (str admis)
    """
    if type(quota) != int:
        try:
            quota = int(quota)
        except:
            raise Exception("valeur entière attendue pour un quota disque")
    cmd = ['/usr/sbin/quotatool', '-b',
           '-q', '%dM' % quota,
           '-l', '%dM' % (quota*2,),
           '-u', login, '/home']
    return system_code(cmd, container='fichier')

